| 1 |
==================== |
| 2 |
Scope state endpoint |
| 3 |
==================== |
| 4 |
|
| 5 |
Get the status of several scopes |
| 6 |
================================ |
| 7 |
|
| 8 |
Returns the status of several scopes. |
| 9 |
|
| 10 |
.. rest_method:: GET /v2/scope |
| 11 |
|
| 12 |
.. rest_parameters:: scope/scope_parameters.yml |
| 13 |
|
| 14 |
- collector: collector |
| 15 |
- fetcher: fetcher |
| 16 |
- limit: limit |
| 17 |
- offset: offset |
| 18 |
- scope_id: scope_id |
| 19 |
- scope_key: scope_key |
| 20 |
|
| 21 |
Status codes |
| 22 |
------------ |
| 23 |
|
| 24 |
.. rest_status_code:: success http_status.yml |
| 25 |
|
| 26 |
- 200 |
| 27 |
|
| 28 |
.. rest_status_code:: error http_status.yml |
| 29 |
|
| 30 |
- 400 |
| 31 |
- 403 |
| 32 |
- 404 |
| 33 |
- 405 |
| 34 |
|
| 35 |
Response |
| 36 |
-------- |
| 37 |
|
| 38 |
.. rest_parameters:: scope/scope_parameters.yml |
| 39 |
|
| 40 |
- collector: collector_resp |
| 41 |
- fetcher: fetcher_resp |
| 42 |
- state: state |
| 43 |
- last_processed_timestamp: last_processed_timestamp |
| 44 |
- scope_id: scope_id_resp |
| 45 |
- scope_key: scope_key_resp |
| 46 |
- active: active_key_resp |
| 47 |
|
| 48 |
Response Example |
| 49 |
---------------- |
| 50 |
|
| 51 |
.. literalinclude:: ./api_samples/scope/scope_get.json |
| 52 |
:language: javascript |
| 53 |
|
| 54 |
|
| 55 |
Reset the status of several scopes |
| 56 |
================================== |
| 57 |
|
| 58 |
Reset the status of several scopes. |
| 59 |
|
| 60 |
.. rest_method:: PUT /v2/scope |
| 61 |
|
| 62 |
.. rest_parameters:: scope/scope_parameters.yml |
| 63 |
|
| 64 |
- state: state |
| 65 |
- last_processed_timestamp: last_processed_timestamp |
| 66 |
- collector: collector_body |
| 67 |
- fetcher: fetcher_body |
| 68 |
- scope_id: scope_id_body |
| 69 |
- scope_key: scope_key_body |
| 70 |
- all_scopes: all_scopes |
| 71 |
|
| 72 |
Status codes |
| 73 |
------------ |
| 74 |
|
| 75 |
.. rest_status_code:: success http_status.yml |
| 76 |
|
| 77 |
- 202 |
| 78 |
|
| 79 |
.. rest_status_code:: error http_status.yml |
| 80 |
|
| 81 |
- 400 |
| 82 |
- 403 |
| 83 |
- 404 |
| 84 |
- 405 |
| 85 |
|
| 86 |
Patch a scope |
| 87 |
================================ |
| 88 |
|
| 89 |
Patches/updates a scope. |
| 90 |
|
| 91 |
.. rest_method:: PATCH /v2/scope |
| 92 |
|
| 93 |
.. rest_parameters:: scope/scope_parameters.yml |
| 94 |
|
| 95 |
- collector: collector |
| 96 |
- fetcher: fetcher |
| 97 |
- limit: limit |
| 98 |
- offset: offset |
| 99 |
- scope_id: scope_id |
| 100 |
- scope_key: scope_key |
| 101 |
- active: active_body |
| 102 |
|
| 103 |
Status codes |
| 104 |
------------ |
| 105 |
|
| 106 |
.. rest_status_code:: success http_status.yml |
| 107 |
|
| 108 |
- 200 |
| 109 |
|
| 110 |
.. rest_status_code:: error http_status.yml |
| 111 |
|
| 112 |
- 400 |
| 113 |
- 403 |
| 114 |
- 404 |
| 115 |
- 405 |
| 116 |
|
| 117 |
Response |
| 118 |
-------- |
| 119 |
|
| 120 |
.. rest_parameters:: scope/scope_parameters.yml |
| 121 |
|
| 122 |
- collector: collector_resp |
| 123 |
- fetcher: fetcher_resp |
| 124 |
- state: state |
| 125 |
- scope_id: scope_id_resp |
| 126 |
- scope_key: scope_key_resp |
| 127 |
- active: active_key_resp |
| 128 |
|
| 129 |
|
| 130 |
Response Example |
| 131 |
---------------- |
| 132 |
|
| 133 |
.. literalinclude:: ./api_samples/scope/scope_get.json |
| 134 |
:language: javascript |
| 135 |
|
| 136 |
Create a scope |
| 137 |
================================ |
| 138 |
|
| 139 |
Create a scope. |
| 140 |
|
| 141 |
.. rest_method:: POST /v2/scope |
| 142 |
|
| 143 |
.. rest_parameters:: scope/scope_parameters.yml |
| 144 |
|
| 145 |
- collector: collector |
| 146 |
- fetcher: fetcher |
| 147 |
- scope_id: scope_id |
| 148 |
- scope_key: scope_key |
| 149 |
- active: active_body |
| 150 |
|
| 151 |
Status codes |
| 152 |
------------ |
| 153 |
|
| 154 |
.. rest_status_code:: success http_status.yml |
| 155 |
|
| 156 |
- 200 |
| 157 |
|
| 158 |
.. rest_status_code:: error http_status.yml |
| 159 |
|
| 160 |
- 400 |
| 161 |
- 403 |
| 162 |
- 404 |
| 163 |
- 405 |
| 164 |
|
| 165 |
Response |
| 166 |
-------- |
| 167 |
|
| 168 |
.. rest_parameters:: scope/scope_parameters.yml |
| 169 |
|
| 170 |
- scope_id: scope_id_resp |
| 171 |
- scope_key: scope_key_resp |
| 172 |
- fetcher: fetcher_resp |
| 173 |
- collector: collector_resp |
| 174 |
- state: state |
| 175 |
- last_processed_timestamp: last_processed_timestamp |
| 176 |
- active: active_key_resp |
| 177 |
- scope_activation_toggle_date: scope_activation_toggle_date |
| 178 |
|
| 179 |
|
| 180 |
Response Example |
| 181 |
---------------- |
| 182 |
|
| 183 |
.. literalinclude:: ./api_samples/scope/scope_get.json |
| 184 |
:language: javascript |